WinCrypt.CERT_CHAIN_CONTEXT (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinCrypt, class: CERT_CHAIN_CONTEXT

Package com.sun.jna.platform.win32

# Class WinCrypt.CERT_CHAIN_CONTEXT

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinCrypt.CERT_CHAIN_CONTEXT

Direct Known Subclasses:
  `WinCrypt.CERT_CHAIN_CONTEXT.ByReference`

Enclosing interface:
  WinCrypt

@FieldOrder({"cbSize","TrustStatus","cChain","rgpChain","cLowerQualityChainContext","rgpLowerQualityChainContext","fHasRevocationFreshnessTime","dwRevocationFreshnessTime","dwCreateFlags","ChainId"}) public static class WinCrypt.CERT_CHAIN_CONTEXT extends Structure
The CERT_CHAIN_CONTEXT structure contains an array of simple certificate chains and a trust status structure that indicates summary validity data on all of the connected simple chains.

See Also:
  - MSDN

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `WinCrypt.CERT_CHAIN_CONTEXT.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `cbSize`
  `int`
  `cChain`
  `Guid.GUID`
  `ChainId`
  `int`
  `cLowerQualityChainContext`
  `int`
  `dwCreateFlags`
  `int`
  `dwRevocationFreshnessTime`
  `boolean`
  `fHasRevocationFreshnessTime`
  `Pointer`
  `rgpChain`
  `Pointer`
  `rgpLowerQualityChainContext`
  `WinCrypt.CERT_TRUST_STATUS`
  `TrustStatus`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CERT_CHAIN_CONTEXT()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WinCrypt.CERT_SIMPLE_CHAIN[]`
  `getRgpChain()`
  `WinCrypt.CERT_CHAIN_CONTEXT[]`
  `getRgpLowerQualityChainContext()`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### cbSize

    public int cbSize

  - ### TrustStatus

    public WinCrypt.CERT_TRUST_STATUS TrustStatus

  - ### cChain

    public int cChain

  - ### rgpChain

    public Pointer rgpChain

  - ### cLowerQualityChainContext

    public int cLowerQualityChainContext

  - ### rgpLowerQualityChainContext

    public Pointer rgpLowerQualityChainContext

  - ### fHasRevocationFreshnessTime

    public boolean fHasRevocationFreshnessTime

  - ### dwRevocationFreshnessTime

    public int dwRevocationFreshnessTime

  - ### dwCreateFlags

    public int dwCreateFlags

  - ### ChainId

    public Guid.GUID ChainId

- ## Constructor Details

  - ### CERT_CHAIN_CONTEXT

    public CERT_CHAIN_CONTEXT()

- ## Method Details

  - ### getRgpChain

    public WinCrypt.CERT_SIMPLE_CHAIN[] getRgpChain()

  - ### getRgpLowerQualityChainContext

    public WinCrypt.CERT_CHAIN_CONTEXT[] getRgpLowerQualityChainContext()